--- binutils/nlmconv.c.org	2004-01-14 22:07:44.000000000 +0100
+++ binutils/nlmconv.c	2005-01-01 19:41:45.233546002 +0100
@@ -1057,12 +1057,16 @@
 	sharedhdr.exitProcedureOffset;
       free (data);
     }
-  len = strlen (output_file);
+    
+  char *p = output_file + strlen (output_file) - 1;
+  while ((p > output_file) && (*p != '/')) p--;
+  if (*p == '/') p++;
+  len = strlen (p);
   if (len > NLM_MODULE_NAME_SIZE - 2)
     len = NLM_MODULE_NAME_SIZE - 2;
   nlm_fixed_header (outbfd)->moduleName[0] = len;
 
-  strncpy (nlm_fixed_header (outbfd)->moduleName + 1, output_file,
+  strncpy (nlm_fixed_header (outbfd)->moduleName + 1, p,
 	   NLM_MODULE_NAME_SIZE - 2);
   nlm_fixed_header (outbfd)->moduleName[NLM_MODULE_NAME_SIZE - 1] = '\0';
   for (modname = nlm_fixed_header (outbfd)->moduleName;
